%define oname Chaco
Name: python-module-%oname
Version: 3.2.1
Release: alt1.svn20091001
Summary: Interactive 2-Dimensional Plotting

Group: Development/Python
License: BSD and GPLv2
URL: http://pypi.python.org/pypi/Chaco
# https://svn.enthought.com/svn/enthought/Chaco
Source: %oname-%version.tar.gz
Packager: Eugeny A. Rostovtsev (REAL) <real at altlinux.org>

BuildRequires: python-devel, python-module-setuptools
BuildPreReq: python-module-numpy python-module-traits python-module-Enable
BuildPreReq: python-module-sphinx python-module-Pygments

%description
Chaco is a Python plotting application toolkit that facilitates writing
plotting applications at all levels of complexity, from simple scripts with
hard-coded data to large plotting programs with complex data interrelationships
and a multitude of interactive tools. While Chaco generates attractive static
plots for publication and presentation, it also works well for interactive data
visualization and exploration.

%package doc
Summary: Documentation for Chaco (Interactive 2-Dimensional Plotting)
Group: Development/Documentation
BuildArch: noarch

%description doc
Chaco is a Python plotting application toolkit that facilitates writing
plotting applications at all levels of complexity, from simple scripts with
hard-coded data to large plotting programs with complex data interrelationships
and a multitude of interactive tools. While Chaco generates attractive static
plots for publication and presentation, it also works well for interactive data
visualization and exploration.

This package contains documentation for Chaco.

%prep
%setup

%build
%python_build

%install
%python_install -O1
sed -i 's/\.dev$//g' \
	%buildroot/%python_sitelibdir/%oname-%version-*.egg-info/requires.txt

%files
%doc *.txt
%python_sitelibdir/*

%files doc
%doc docs/*.txt docs/*.pdf docs/*.tgz docs/chaco* docs/scipy_tutorial
%doc build/docs/html examples

%changelog
* Wed Oct 07 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 3.2.1-alt1.svn20091001
- Initial build for Sisyphus

